/*
 * Copyright (c) 1992 NeXT Computer, Inc.
 *
 * Intel386 Family:	User registers for U**X.
 *
 * HISTORY
 *
 * 20 April 1992 David E. Bohman at NeXT
 *	Created.
 */

#import <machdep/i386/pcb.h>

thread_saved_state_t	*___xxx_state;

#define ECX	(int)((int *)&___xxx_state->regs.ecx - (int *)___xxx_state)
#define EDX	(int)((int *)&___xxx_state->regs.edx - (int *)___xxx_state)
#define ESP	(int)((int *)&___xxx_state->frame.esp - (int *)___xxx_state)
#define	SP	ESP
#define EFL	\
	(int)((int *)&___xxx_state->frame.eflags - (int *)___xxx_state)
#define PS	EFL
#define PSL_T	EFL_TF
#define EIP	(int)((int *)&___xxx_state->frame.eip - (int *)___xxx_state)
#define PC	EIP
