/*
**      DBTableVector.h
**      Database Kit, Release 3.0
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/
#import <objc/Object.h>
#import <appkit/graphics.h>
#import <dbkit/tableProtocols.h>

typedef enum { HORIZONTAL, VERTICAL } Orientation;

@interface DBTableVector : Object <DBTableVectors>
{
@private
	struct {
	unsigned int
#if	__BIG_ENDIAN__
			autosizable:1,
			editable:1,
			resizable:1,
			contentAlign:2,
			titleAlign:2,
			:25;
#else	__BIG_ENDIAN__
			:25,
			titleAlign:2,
			contentAlign:2,
			resizable:1,
			editable:1,
			autosizable:1;
#endif	__BIG_ENDIAN__
	} _vFlags;
@protected
	id		identifier;		/* opaque id for dataSource */
	id		formatter;		/* formats data in vector */

	NXCoord		minSize;
	NXCoord		maxSize;
	NXCoord		currentSize;		/* current width or height */
	
	char		*title;
	id		titleFont;
}

- initIdentifier:newIdentifier;
- free;

@end
