
#ifndef	_MACH_I386_SYSCALL_SW_H_
#define _MACH_I386_SYSCALL_SW_H_

#include <architecture/i386/asm_help.h>

/*
 * These defines are for future use (if we want to change the system call
 * argument passing conventions).
 */
#define kernel_trap_args_0	;
#define kernel_trap_args_1	;
#define kernel_trap_args_2	;
#define kernel_trap_args_3	;
#define kernel_trap_args_4	;
#define kernel_trap_args_5	;
#define kernel_trap_args_6	;
#define kernel_trap_args_7	;

#define save_registers_0	;
#define save_registers_1	;
#define save_registers_2	;
#define save_registers_3	;
#define save_registers_4	;
#define save_registers_5	;
#define save_registers_6	;
#define save_registers_7	;

#define restore_registers_0	;
#define restore_registers_1	;
#define restore_registers_2	;
#define restore_registers_3	;
#define restore_registers_4	;
#define restore_registers_5	;
#define restore_registers_6	;
#define restore_registers_7	;

#define MACHCALLSEL	0x33

#define kernel_trap(trap_name, trap_number, number_args)	\
LEAF(_##trap_name, 0)						;\
	save_registers_##number_args				;\
	kernel_trap_args_##number_args				;\
	movl	$##trap_number, %eax				;\
	lcall	$##MACHCALLSEL, $0				;\
	restore_registers_##number_args				;\
END(_##trap_name)


#endif	_MACH_I386_SYSCALL_SW_H_
