/* 
 * Copyright (c) 1992 NeXT, Inc.
 *
 * HISTORY
 * 10-Feb-92  John Seamons (jks) at NeXT
 *	Created.
 */ 

#ifndef	_MACH_M68K_JUNTA_
#define	_MACH_M68K_JUNTA_	1

#define JUNTA_TEXT_BEGIN(id) \
	extern int id##_TEXT_BEGIN(); \
	extern int id##_TEXT_END(); \
	asm (".globl _" #id "_TEXT_BEGIN; _" #id "_TEXT_BEGIN: nop");

#define JUNTA_TEXT_END(id) \
	asm (".globl _" #id "_TEXT_END; _" #id "_TEXT_END: nop");

#define	JUNTA_TEXT(id) \
	zone_freepinned_space (id##_TEXT_BEGIN, id##_TEXT_END); 

#define JUNTA_DATA_BEGIN(id) \
	extern int id##_DATA_BEGIN; \
	extern int id##_DATA_END; \
	asm (".data; .globl _" #id "_DATA_BEGIN; _" #id "_DATA_BEGIN:; .text");

#define JUNTA_DATA_END(id) \
	asm (".data; .globl _" #id "_DATA_END; _" #id "_DATA_END:; .text");

#define	JUNTA_DATA(id) \
	zone_freepinned_space (&id##_DATA_BEGIN, &id##_DATA_END); 

#endif	_MACH_M68K_JUNTA_
