/*
	NISavePanel.h
	Copyright 1990, NeXT, Inc.
	Originally Written by: Lee Tucker
	Responsibility: Lee Tucker
*/
#import "NIOpenPanel.h"

@interface NISavePanel : NIOpenPanel
{
	BOOL frozenBelow;
	int	_reservedSpaceSave1;
	int	_reservedSpaceSave2;
	int _reservedSpaceSave3;
	int _reservedSpaceSave4;
}

+ new;
- refreshLowerData:sender;
- (int)runModal;
- (int)runModalWithString:(char *)initialValue;
- (int)runModalWithUneditableString:(char *)initialValue;
- (const char *)panelSizeDefaultName;
- cellWasHitInItemList:sender;
- (const char *)directory;
- setStartingDomainPath:(const char *)dir;

@end





