/*
Vocab.h - Copyright (c) 1992 NeXT Computer, Inc.

You may freely copy, distribute and reuse the code in this example.
NeXT Computer, Inc. disclaims any warranty of any kind, expressed or implied, 
as to its fitness for any particular use.
*/

#import <objc/Object.h>

@interface VocabularyControl:Object
{
    id		browser;
    id		target;
    id		cursor;
    id		findPanel;
    int		count;
    int		hintRow;
}

- browserClick:sender;
- browserDoubleClick:sender;
- browser:sender loadCell:cell atRow:(int)row inColumn:(int)column;
- (int)browser:sender getNumRowsInColumn:(int)column;
- setTarget:aTarget;
- setBrowser:aBrowser;
- windowDidBecomeKey:sender;

@end
