/* Copyright (c) 1992 NeXT Computer, Inc.  All rights reserved.
 *
 *	Serial port ioctl definitions.
 */

#import	<sys/ioctl.h>


/*
 * ioctl to change receiver silo delay
 */
#define	ZIOCTGET	_IOR('z', 0, int)	/* get silo delay */
#define	ZIOCTSET	_IOW('z', 1, int)	/* set silo delay */

/*
 * ioctl to get serial line features
 * (OR of supported features is returned)
 */
#define	ZIOCFGET	_IOR('z', 2, int)	/* get features */

#define	ZSFEATURE_HWFLOWCTRL	0x0001		/* CTS/RTS flow control */


