/*
 * Copyright (c) 1992 NeXT Computer, Inc.
 *
 * Intel386 Family:	Definition of eflags register.
 *
 * HISTORY
 *
 * 7 April 1992 David E. Bohman at NeXT
 *	Created.
 */
 
#import <architecture/i386/frame.h>

#define EFL_ALLCC	(		\
			    EFL_CF |	\
			    EFL_PF |	\
			    EFL_AF |	\
			    EFL_ZF |	\
			    EFL_SF |	\
			    EFL_OF	\
			)
#define EFL_USERSET	( EFL_IF | EFL_SET )
#define EFL_USERCLR	( EFL_VM | EFL_NT | EFL_IOPL | EFL_CLR )
