/*
**      DBTextFormatter.h
**      Database Kit, Release 3.0
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/
#import <objc/Object.h>
#import <appkit/graphics.h>		/* for NXCoord, NXSize */
#import <dbkit/DBFormatter.h>
#import <dbkit/tableProtocols.h>

@interface DBTextFormatter : DBFormatter
{
@private
	unsigned int	_tfReserved[2];
	id		_xyShow;
@protected
	id		font;
	BOOL		batching;
}


- init;
- free;

- font;
- setFont:aFont;

- beginBatching:(id <DBTableVectors>) attrs;
- resetBatching:(id <DBTableVectors>) attrs;
- endBatching;

- write:(NXTypedStream *) stream;
- read:(NXTypedStream *) stream;

@end
