/*
**      entities.h
**      Database Kit, Release 3.0
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/

#import <objc/objc.h>
#import <dbkit/types.h>

@class List;
@class DBDatabase;

@protocol DBEntities <DBTypes>

- (const char *)name;

- propertyNamed:(const char*)aName;
- getProperties:(List*)aList;

- (DBDatabase*)database;

- (BOOL)matchesEntity:(id<DBEntities>)anEntity;

@end
