/* Copyright 1989 NeXT, Inc. */
#import <objc/Object.h>
#import <netinfo/ni.h>
#import <appkit/Text.h>
#define NI_ALREADYCONNECTED 10001 /* Domain Object Already Connected */
#define NI_NOTCONNECTED 10002 /* Domain Object Already Connected */

struct NIDomainCellData {
  char *name;
  BOOL isaLeaf;
};

struct NIMultiDomainList{
  int	numberOfDomains;
  int	activeDomain;
  id	activeDomainObject;
  struct NIDomainCellData *topDomain;
};

struct NIHierarchyOfDomains {
  int numberOfLevels;
  struct NIMultiDomainList *domainListAtLevel;
};

int NIPutpwpasswd( char *login, char *clear_old_passwd,  char *enc_new_passwd);

extern ni_status NIFillDomainHierarchy( struct NIHierarchyOfDomains *domains, int level, const char *tomatch, int selectedLevel);


